TaxonChildren (gCube Species Discovery 3.3.0-SNAPSHOT API)
Date: 2013-07-19

org.gcube.portlets.user.speciesdiscovery.shared

## Class TaxonChildren

- java.lang.Object
- - org.gcube.portlets.user.speciesdiscovery.shared.TaxonChildren

- All Implemented Interfaces:
    Serializable

      public class TaxonChildren
      extends Object
      implements Serializable

  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `UNDEFINED`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `TaxonChildren()`
    `TaxonChildren(int startIndex, int endIndex, int fullSize, List<TaxonomyRow> listChildren)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getFullSize()`
    `List<TaxonomyRow>` | `getListChildren()`
    `int` | `getOffset()`
    `static long` | `getSerialversionuid()`
    `int` | `getStartIndex()`
    `static int` | `getUndefined()`
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### UNDEFINED

          public static final int UNDEFINED

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### TaxonChildren

          public TaxonChildren(int startIndex,
                       int endIndex,
                       int fullSize,
                       List<TaxonomyRow> listChildren)

    - #### TaxonChildren

          public TaxonChildren()

  - ### Method Detail

    - #### getSerialversionuid

          public static long getSerialversionuid()

    - #### getListChildren

          public List<TaxonomyRow> getListChildren()

    - #### getStartIndex

          public int getStartIndex()

    - #### getOffset

          public int getOffset()

    - #### getFullSize

          public int getFullSize()

    - #### getUndefined

          public static int getUndefined()

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 2013. All Rights Reserved.